# Emma's Simple Form Field Checker

Compares a PDF form to a list of CS class files to see if all field names are
present, excluding signature fields.

## Prereqs

Deno >=2.2 (not required if downloading .exe)

## Installation

### Deno install

`deno task install` -> installs as global command `checkfields`

### Compile

`deno task compile` -> compare-form-fields.exe -OR- Download .exe from release

> If you want it to be a global command, create an executables directory and add
> it to the PATH

## Usage

`checkfields <path to PDF> <comma-separated list of paths to CS class files>`
-OR- `checkfields` and follow prompts.

### Output

> All form fields present!

-OR-

> The following field names are not present in the CS code

> \<list of missing form fields\>
